Update a capture
curl --request PATCH \
--url https://api.withflex.com/v1/captures/{capture_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"capture": {
"metadata": {
"order_id": "8842",
"channel": "shopify"
}
}
}
'import requests
url = "https://api.withflex.com/v1/captures/{capture_id}"
payload = { "capture": { "metadata": {
"order_id": "8842",
"channel": "shopify"
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({capture: {metadata: {order_id: '8842', channel: 'shopify'}}})
};
fetch('https://api.withflex.com/v1/captures/{capture_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capture": {
"amount_captured": 2500,
"amount_shipping_captured": 2500,
"amount_discount_captured": 2500,
"amount_tax_captured": 2500,
"capture_id": "fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"items": [
{}
],
"metadata": {
"order_id": "8842",
"channel": "shopify"
},
"test_mode": false
}
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"code": "string",
"detail": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}{
"code": "string",
"detail": "string"
}Update a capture
Updates the specified capture by setting the values of the fields you pass; only metadata can be changed. Other capture fields, including captured amounts, cannot be modified.
PATCH
/
v1
/
captures
/
{capture_id}
Update a capture
Authorizations
Use a Bearer token to access this API.
Path Parameters
Example:
"fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA"
Query Parameters
Comma-separated list of related objects to expand in the response (e.g., "payment_intent").
Example:
""
Body
application/json
An envelope wrapping a single capture object.
An envelope wrapping a single capture object.
The capture object.
Show child attributes
Show child attributes
Example:
{
"metadata": { "order_id": "8842", "channel": "shopify" }
}
Response
An envelope wrapping a single capture object.
An envelope wrapping a single capture object.
The capture object.
Show child attributes
Show child attributes
Example:
{
"amount_captured": 2500,
"amount_shipping_captured": 2500,
"amount_discount_captured": 2500,
"amount_tax_captured": 2500,
"capture_id": "fcap_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"items": [
{
"amount_captured": 2500,
"capture_item_id": "fcapi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"created_at": "2026-06-15T14:30:00Z",
"payment_intent": "fpi_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
"test_mode": false
}
],
"metadata": { "order_id": "8842", "channel": "shopify" },
"test_mode": false
}
⌘I